     
<section data-ng-controller="BlackListController"  class="panel">

  <header class="panel-heading higher-panel-heading">
    <div class="col-md-12" style="margin-top: 20px;">
      <button class="btn btn-primary btn-lg" ng-click="rantic.showAdd=true">Add</button>
    </div>
    <div ng-show="rantic.showAdd" class="col-md-12" style="margin-top: 20px;">
    <div class="form-group">
      <div class="col-md-6">
        <input type="text" class="form-control" ng-model="rantic.add" placeholder="Enter String" />
      </div>
      <div class="col-md-3">
        <button class="btn btn-warning btn-lg" ng-click="addNew()">Submit</button>
      </div>
    </div>


    </div>
  </header>

  <div class="col-md-12">

    <table ng-table="tableParams" show-filter="true" class="ng-table-responsive table table-striped table-advance table-hover orders editable-table demoTable">
        <tr data-ng-repeat="item in $data">
          <td data-title="'String'" sortable="'string'" filter="{ 'string': 'text' }" ng-class="name.$dirty ? 'bg-warning' : ''">
            <span class="editable-text">{{item.string}}</span>
            <div ng-show="item.isEditing" class="controls" ng-class="name.$invalid && name.$dirty ? 'has-error' : ''">
              <input type="text" name="name" ng-model="item.string" class="editable-input form-control input-sm" required />
            </div>
          </td>
          <td data-title="'Created'" sortable="'created'">{{item.created | fromNow }}</td>
           <td>
            <button class="btn btn-primary btn-sm" ng-click="save(item)" ng-if="item.isEditing" ng-disabled="rowForm.$pristine || rowForm.$invalid"><span class="glyphicon glyphicon-ok"></span></button>
            <button class="btn btn-default btn-sm" ng-click="item.isEditing = false" ng-if="item.isEditing"><span class="glyphicon glyphicon-remove"></span></button>
            <button class="btn btn-default btn-sm" ng-click="item.isEditing = true" ng-if="!item.isEditing"><span class="glyphicon glyphicon-pencil"></span></button>
            <button class="btn btn-danger btn-sm" ng-click="del(item)" ng-if="!item.isEditing"><span class="glyphicon glyphicon-trash"></span></button>
          </td>
        </tr>
           
    </table>


  </div>



</section>
